from settings import config

wsgi_gateway='flask'

if hasattr(config, 'wsgi_gateway'):
    wsgi_gateway=config.wsgi_gateway

if wsgi_gateway=='flask':

    from flask import request

    def get_query_args(key, default_value=''):
    
        return request.args.get(key, default_value)
        
    def get_post_args(key, default_value=''):
        
        return request.form.get(key, default_value)

elif wsgi_gateway=='bottle':
    
    from bottle import request
    
    def get_query_args(key, default_value=''):
        
        return request.query.get(key, default_value)
    
